* {
    box-sizing: border-box;
}

body{
    font-family: "Arial Narrow";
}

/* Info for name and tries */

.info{
    width: 1080px;
    margin: 20px auto 0;
    background-color: #F6F6F6;
    padding: 20px;
    font-size: 24px;
    overflow: hidden;
    border: 2px solid #2196f3;
}

.info .name{
    float: left;
    width: 50%;
}

.info .tries{
    float: right;
    width: 50%;
    text-align: right;
}

/* images block */

.memory-card-block{
    display: flex;
    width: 1100px;
    flex-wrap: wrap;
    margin: 20px auto;
}

.memory-card-block .card-block{
    height: 200px;
    transition: transform .5s;
    transform-style: preserve-3d;
    cursor: pointer;
    position: relative;
    flex: 1 0 200px;
    margin: 0 10px 20px;
}

.memory-card-block.no-clicking {
    pointer-events: none;
}

.memory-card-block .card-block .front {
    background-color: black;
    line-height: 200px;
}
.memory-card-block .card-block .front:before {
    content: '*';
    color: wheat;
    font-size: 140px;
    font-weight: bold;
    text-align: center;
}

.memory-card-block .card-block .back {
    background-color: #607D8B;
    transform: rotateY(180deg);
}
.memory-card-block .card-block .back img {
    width: 140px;
    height: 140px;
    margin-top: 30px;
}
.memory-card-block .card-block .face {
    position: absolute;
    width: 100%;
    height: 100%;
    text-align: center;
    backface-visibility: hidden;
    border: 5px solid #2196F3;
}

.memory-card-block .card-block.is-flipped,
.memory-card-block .card-block.has-match {
    -webkit-transform: rotateY(180deg);
    -moz-transform: rotateY(180deg);
    transform: rotateY(180deg);
    pointer-events: none;
}